summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorXin Li <delphij@google.com>2019-09-05 16:53:22 +0000
committerGerrit Code Review <noreply-gerritcodereview@google.com>2019-09-05 16:53:22 +0000
commit8b940ce5a5ddb2284ac09164c0a1a7e9d144c275 (patch)
tree34148ce460eda4492363e25195a6d51f32560f6f
parentfc14ffa32c46d004ad09c4f1ec04cf527a1bb94b (diff)
parent50333b2df73e319f66332e5ded3085493bfb321f (diff)
downloadcommon-ndk-sysroot-r21.tar.gz
Merge "DO NOT MERGE - Merge Android 10 into master"ndk-sysroot-r21
-rw-r--r--generate-factory-images-common.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/generate-factory-images-common.sh b/generate-factory-images-common.sh
index fdcb442..55fa170 100644
--- a/generate-factory-images-common.sh
+++ b/generate-factory-images-common.sh
@@ -101,7 +101,7 @@ cat > tmp/$PRODUCT-$VERSION/flash-all.sh << EOF
# See the License for the specific language governing permissions and
# limitations under the License.
-if ! grep -q partition-exists \$(which fastboot); then
+if ! [ \$(\$(which fastboot) --version | grep "version" | cut -c18-23 | sed 's/\.//g' ) -ge 2802 ]; then
echo "fastboot too old; please download the latest version at https://developer.android.com/studio/releases/platform-tools.html"
exit 1
fi
@@ -258,7 +258,7 @@ cat > tmp/$PRODUCT-$VERSION/flash-base.sh << EOF
# See the License for the specific language governing permissions and
# limitations under the License.
-if ! grep -q partition-exists \$(which fastboot); then
+if ! [ \$(\$(which fastboot) --version | grep "version" | cut -c18-23 | sed 's/\.//g' ) -ge 2802 ]; then
echo "fastboot too old; please download the latest version at https://developer.android.com/studio/releases/platform-tools.html"
exit 1
fi